package com.xhpc.card.mapper;

import com.xhpc.card.pojo.XhpcRechargeOrder;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface XhpcRechargeOrderMapper {

    int deleteByPrimaryKey(Long rechargeOrderId);

    int insert(XhpcRechargeOrder record);

    int insertSelective(XhpcRechargeOrder record);

    XhpcRechargeOrder selectByPrimaryKey(Long rechargeOrderId);

    int updateByPrimaryKeySelective(XhpcRechargeOrder record);

    int updateByPrimaryKey(XhpcRechargeOrder record);

    /**
     * 通过用户id查找用户所有的充值记录
     *
     * @author WH
     * @date 2022/2/14 17:53
     * @since version-1.0
     */
    List<XhpcRechargeOrder> selectByUserId(@Param("appUserId") Long appUserId, @Param("currentPage") Long currentPage, @Param("items") Long items);

    /**
     * query count of recharge records of user by user id
     *
     * @author WH
     * @date 2022/2/15 16:14
     * @since version-1.0
     */
    Long selectCountByUserId(@Param("appUserId") Long appUserId);


}